optionscreen:
	call clearselection
	ld c, 1
	ld hl, gameop1
	ld de, $0b08
	call drawmenuopt
	ld d, $12
	call drawmenuopt
	ld d, $19
	call drawmenuopt
	ld d, $20
	call drawmenuopt
	ld d, $27
	call drawmenuopt
	ld d, $2e
	call drawmenuopt
	ld a, (rounds)
	ld de, $0b60
	ld hl, roundtext-1
	call drawseriesthing
	ld a, (speed)
	ld d, $12
	ld hl, speedtext-1
	call drawseriesthing
	ld a, (Difficulty)
	ld d, $19
	ld hl, Difficultytext-1
	call drawseriesthing
	ld a, (background)
	ld d, $20
	ld hl, backgroundtext-1
	call drawseriesthing
menukey2:
	ld a, 8
	call hline
	ld a, $35
	call hline
	ld b, 5
	call keyloop
	or a
	jr z, menukey2
	ld a, (keyvar)
	push af
	call waitkey
	pop af
	ld hl, selector
	ld b, a
	and %10000000
	call nz, keymenudown
	ld a, b
	and %00010000
	call nz, keymenuup
	ld a, (selector)
	cp 5
	jr nz, notoncontrast
	ld a, b
	and %01000000
	jr z, notonleft
	ld a, ($c008)
	dec a
	or a
	jr z, notoncontrast
	ld ($C008), a
	out (2), a
notonleft:
	ld a, b
	and %00100000
	jr z, notoncontrast
	ld a, ($c008)
	inc a
	cp 31
	jr z, notoncontrast
	ld ($C008), a
	out (2), a
notoncontrast:
	ld a, b
	and %00000100
	jp z, optionscreen
	ld a, (selector)
	cp 6
	ret z
	cp 1
	call z, changeround
	cp 2
	call z, changespeed
	cp 4
	call z, changebackground
	cp 3
	call z, changedifficulty
	jp optionscreen
changeround:
	ld a, (rounds)
	inc a
	cp 4
	call z, reset1
	ld (rounds), a
	xor a
	ret
reset1:
	ld a, 1
	ret
changespeed:
	ld hl, speed
	ld a, (hl)
	xor 1
	ld (hl), a
	ret
changebackground:
	ld hl, background
	ld a, (hl)
	xor 1
	ld (hl), a
	ret
changedifficulty:
	ld hl, difficulty
	ld a, (hl)
	call changethatdiff
	ld (hl), a
	ret
changethatdiff:
	cp 1
	jr nz, notnextnormal
	inc a
	ret
notnextnormal:
	cp 2
	jr nz, notnexttraining
	ld a, (trainingdiff)
	or a
	jr z, notnexttrain1
	ld a, 3
	ret
notnexttrain1:
	ld a, (difficultdiff)
	or a
	jr z, notnextdiff1
	ld a, 4
	ret
notnextdiff1:
	ld a, (doubleaidiff)
	or a
	jr z, notnextdoubleai1
	ld a, 5
	ret
notnextdoubleai1
	ld a, (twochardiff)
	or a
	jr z, notnexttwochar1
	ld a, 6
	ret
notnexttwochar1:
	inc a
	ret
notnexttraining:
	cp 3
	jr z, notnexttrain1
	cp 4
	jr z, notnextdiff1
	cp 5
	jr z, notnextdoubleai1
	ld a, 1
	ret

gameop1:
	.text " Rounds"
	.text " Speed"
	.text " Difficulty"
	.text " Background"
	.text " Contrast"
	.text " Back to Main Menu"

roundtext:
	.db 0
	.text "1/1"
	.text "2/3"
	.text "3/5"

Speedtext:
	.text "Fast"
	.text "Normal"

Difficultytext:
	.db 0
	.text "Easy"
	.text "Normal"
	.text "Training"
	.text "Hard"
	.text "Double AI"
	.text "Two Char"

Backgroundtext:
	.text "Off"
	.text "On"
.end
