characterselect:
	call clearscreen
	ld hl, scharstring
	ld de, $0010
	call drawstring
cselectloop:
	call clearselection
	ld hl, leftarrow
	ld de, $2001
	call drawstring
	ld hl, rightarrow
	ld de, $2017
	call drawstring
	ld a, (cselector)
	inc a
	ld hl, $8119-336
	ld de, 336
	ld b, a
chardisploop:
	add hl, de
	djnz chardisploop
	ld (cselpos), hl
	ld de, $0710
	call drawspr2416
	ld a, (cselector)
	ld de, $1840
	call drawcharname
	ld hl, namestring
	ld de, $182a
	call drawstring
	ld a, (charstatsshow)
	or a
	jr z, pcharkeyloop
	ld hl, chartypes-1
	ld a, (cselector)
	ld de, $2040
	call drawseriesthing
	ld a, (cselector)
	ld l, a
	ld h, 0
	ld de, speedtable
	add hl, de
	ld a, (hl)
	ld hl, $fe93
	call drawbar
	ld a, (cselector)
	ld l, a
	ld h, 0
	ld de, powertable
	add hl, de
	ld a, (hl)
	ld hl, $ff13
	call drawbar
	ld hl, speedstring
	ld de, $2801
	call drawstring
	ld hl, powerstring
	ld de, $3001
	call drawstring
pcharkeyloop:
	ld a, 8
	call hline
	ld a, $39
	call hline
	ld b, 5
	call keyloop
	or a
	jr z, pcharkeyloop
	push af
	call waitkey
	pop af
	ld b, a
	and %01000000
	call nz, chargoleft
	ld a, b
	and %00100000
	call nz, chargoright
	ld a, b
	and %00000100
	jp z, cselectloop
	ld a, (cselector)
	ret
chargoleft:
	ld a, (cselector)
	ld hl, availablechars
	ld e, a
	ld d, 0
	add hl, de
doleftagian:
	dec e
	ld a, e
	cp 255
	call z, settotopchars
	dec hl
	ld a, (hl)
	or a
	jr z, doleftagian
	ld a, e
	ld (cselector), a
	ret
settotopchars:
	ld e, 12
	ld hl, availablechars+13
	ret
chargoright:
	ld a, (cselector)
	ld hl, availablechars
	ld e, a
	ld d, 0
	add hl, de
dorightagian:
	inc e
	ld a, e
	cp 13
	call z, settobottomchars
	inc hl
	ld a, (hl)
	or a
	jr z, dorightagian
	ld a, e
	ld (cselector), a
	ret
settobottomchars:
	ld e, 0
	ld hl, availablechars-1
	ret

drawbar:
	push hl
	ld b, a
	ld e, %1000000
dbarloop:
	ld a, (hl)
	or e
	ld (hl), a
	rrc e
	jr nc, dbarloop2
	inc hl
dbarloop2:
	djnz dbarloop
	pop hl
	push hl
	ld de, 32
	add hl, de
	ex de, hl
	pop hl
	push hl
	ld bc, 16
	ldir
	pop hl
	push hl
	ld de, 16
	add hl, de
	ex de, hl
	pop hl
	ld bc, 48
	ldir
	ret
	
scharstring
	.text "Select your fighter!"
rightarrow:
	.db 5, 0
leftarrow:
	.db 207, 0
cselector:
	.db 0
cselpos:
	.dw 0
namestring:
	.text "Name:"
speedstring
	.text "Speed:"
powerstring:
	.text "Power:"

chartypes:
	.text "Cannibal"
	.text "Wood Stick"
	.text "Apartment Bum"
	.text "Commie Drunk"
	.text "'Dancer'"
	.text "Moon Slime"
	.text "Swordsman"
	.text "Unnatural Cloud"
	.text "Pile of Bricks"
	.text "Robot"
	.text "Street Skater"
	.text "Cuban Doglord"
	.text "Stamina Dummie"

speedtable:
	.db 46, 70, 30, 15, 75, 52, 58, 58, 44, 50, 65, 47, 90
powertable:
	.db 45, 32, 55, 72, 10, 40, 56, 50, 62, 85, 50, 60, 90
.end
